## org.apache.fop.image
Interface FopImage

All Known Implementing Classes:
  AbstractFopImage

public interface FopImage

Method Summary
`void` `close()`
`byte[]` `getBitmaps()`
`int` `getBitmapsSize()`
`int` `getBitsPerPixel()`
`ColorSpace` `getColorSpace()`
`int` `getHeight()`
`PDFFilter` `getPDFFilter()`
`byte[]` `getRessourceBytes()`
`int` `getRessourceBytesSize()`
`PDFColor` `getTransparentColor()`
`java.lang.String` `getURL()`
`int` `getWidth()`
`boolean` `isTransparent()`

Method Detail

### getURL

    public java.lang.String getURL()

### getWidth

    public int getWidth()
                 throws FopImageException

### getHeight

    public int getHeight()
                  throws FopImageException

### getColorSpace

    public ColorSpace getColorSpace()
                             throws FopImageException

### getBitsPerPixel

    public int getBitsPerPixel()
                        throws FopImageException

### isTransparent

    public boolean isTransparent()
                          throws FopImageException

### getTransparentColor

    public PDFColor getTransparentColor()
                                 throws FopImageException

### getBitmaps

    public byte[] getBitmaps()
                      throws FopImageException

### getBitmapsSize

    public int getBitmapsSize()
                       throws FopImageException

### getRessourceBytes

    public byte[] getRessourceBytes()
                             throws FopImageException

### getRessourceBytesSize

    public int getRessourceBytesSize()
                              throws FopImageException

### getPDFFilter

    public PDFFilter getPDFFilter()
                           throws FopImageException

### close

    public void close()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.